#!/usr/bin/python3
import sys
import re

cptip = {}


regexp = '^(\S+) (\S+) (\S+) \[([^]]+)\] "(\w+) (\S+).*" (\d+) (\S+)'
for line in sys.stdin:
        line = line.rstrip ()
        match =re.match (regexp, line)
        if match :
            print (match.group(1)," ",match.group(8))
            #print {match.group(1)}
            ip = match.group(1)
            vol = int(match.group(8))
            if ip in cptip :
                cptip[ip] = cptip[ip] + vol
            else:
                cptip[ip] = vol

for key in cptip.keys():
    print(key, ":", cptip[key]) 
